# Setup and Item

{% hint style="warning" %}
This page covers the setup parts you should finish before touching scenarios: **dependencies, `server.cfg` order, database behavior, localization, streamed assets, and required items.**
{% endhint %}

### How to Download: Tutorial Video

{% embed url="<https://www.youtube.com/embed/gm9aUmG7ilY>" %}

***

### Required Dependencies

| Scriptname            | Download Link                                                                                               |
| --------------------- | ----------------------------------------------------------------------------------------------------------- |
| oxmysql               | [Click to Download](https://github.com/overextended/oxmysql/releases/download/v2.12.0/oxmysql.zip)          |
| ox\_lib               | [Click to Download](https://github.com/CommunityOx/ox_lib/releases/latest)                                  |
| qua\_fishingpiers\_0r | <mark style="color:$warning;">When you purchase the script, it will be delivered to your CFX account</mark> |

{% hint style="danger" %}
The script supports only the **qbox**, **qb-core**, and **es\_extended** frameworks.
{% endhint %}

***

### Recommended server.cfg Start Order

{% code title="server.cfg" lineNumbers="true" %}

```lua
ensure oxmysql
ensure ox_lib
ensure [framework] -- es_extended, qb-core, or qbx_core

--------------------------------
-- Start Your Other Resources --
--------------------------------

ensure qua_fishingpiers_0r -- Map
ensure 0r-fishingv2 -- Script
```

{% endcode %}

***

### Setup Database Tables

{% code title="0r-fishingv2/INSTALL/insert-me.sql" lineNumbers="true" %}

```sql
CREATE TABLE IF NOT EXISTS `0r_fishingv2` (
    `identifier` varchar(255) NOT NULL,
    `firstname` varchar(255) NOT NULL DEFAULT '',
    `lastname` varchar(255) NOT NULL DEFAULT '',
    `xp` int(11) NOT NULL DEFAULT 0,
    `is_rod_crafted` tinyint(1) NOT NULL DEFAULT 0,
    UNIQUE KEY `identifier` (`identifier`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 COLLATE=utf8mb3_general_ci;
```

{% endcode %}

You don’t need to run the SQL file manually for this script; the SQL tables are automatically checked at the start of the script, and if any tables are missing, they are automatically recreated. However, if you encounter an error and the SQL tables cannot be created, you can run this code to create the SQL tables manually.

***

### Change the Language

If you don't know how to write a script, you can check out this page.

{% content-ref url="/pages/TPxSgojGePfbc3SSdU6g" %}
[Editing localization files](/0resmon/0r-resources/0r-fishing-v2/editing-localization-files.md)
{% endcontent-ref %}

***

### Add items to your server

{% tabs %}
{% tab title="QBCore" %}
{% code title="qb-core/shared/items.lua" lineNumbers="true" %}

```lua
--- Start 0R Fishing v2 Item List ---
['bass'] = { name = 'bass', label = 'Bass', weight = 100, type = 'item', image = 'bass.png', unique = false, useable = false, shouldClose = false, description = 'A fish' },
['bluegill'] = { name = 'bluegill', label = 'Bluegill', weight = 100, type = 'item', image = 'bluegill.png', unique = false, useable = false, shouldClose = false, description = 'A fish' },
['common_carp'] = { name = 'common_carp', label = 'Common Carp', weight = 100, type = 'item', image = 'common_carp.png', unique = false, useable = false, shouldClose = false, description = 'A fish' },
['nothern_pike'] = { name = 'nothern_pike', label = 'Northern Pike', weight = 100, type = 'item', image = 'nothern_pike.png', unique = false, useable = false, shouldClose = false, description = 'A fish' },
['perch'] = { name = 'perch', label = 'Perch', weight = 100, type = 'item', image = 'perch.png', unique = false, useable = false, shouldClose = false, description = 'A fish' },
['rainbow_trout'] = { name = 'rainbow_trout', label = 'Rainbow Trout', weight = 100, type = 'item', image = 'rainbow_trout.png', unique = false, useable = false, shouldClose = false, description = 'A fish' },
['redfin_pickerel'] = { name = 'redfin_pickerel', label = 'Redfin Pickerel', weight = 100, type = 'item', image = 'redfin_pickerel.png', unique = false, useable = false, shouldClose = false, description = 'A fish' },
['rock_bass'] = { name = 'rock_bass', label = 'Rock Bass', weight = 100, type = 'item', image = 'rock_bass.png', unique = false, useable = false, shouldClose = false, description = 'A fish' },
['small_trout'] = { name = 'small_trout', label = 'Small Trout', weight = 100, type = 'item', image = 'small_trout.png', unique = false, useable = false, shouldClose = false, description = 'A fish' },
['smallmouth_bass'] = { name = 'smallmouth_bass', label = 'Smallmouth Bass', weight = 100, type = 'item', image = 'smallmouth_bass.png', unique = false, useable = false, shouldClose = false, description = 'A fish' },
['sockeye_salmon'] = { name = 'sockeye_salmon', label = 'Sockeye Salmon', weight = 100, type = 'item', image = 'sockeye_salmon.png', unique = false, useable = false, shouldClose = false, description = 'A fish' },
['trout'] = { name = 'trout', label = 'Trout', weight = 100, type = 'item', image = 'trout.png', unique = false, useable = false, shouldClose = false, description = 'A fish' },
['whitefish'] = { name = 'whitefish', label = 'Whitefish', weight = 100, type = 'item', image = 'whitefish.png', unique = false, useable = false, shouldClose = false, description = 'A fish' },

['anchor'] = { name = 'anchor', label = 'Anchor', weight = 200, type = 'item', image = 'anchor.png', unique = true, useable = false, shouldClose = true, description = 'A heavy anchor' },

['redpearl'] = { name = 'redpearl', label = 'Red Pearl', weight = 100, type = 'item', image = 'redpearl.png', unique = false, useable = false, shouldClose = false, description = 'A pearl' },
['bluepearl'] = { name = 'bluepearl', label = 'Blue Pearl', weight = 100, type = 'item', image = 'bluepearl.png', unique = false, useable = false, shouldClose = false, description = 'A pearl' },
['yellowpearl'] = { name = 'yellowpearl', label = 'Yellow Pearl', weight = 100, type = 'item', image = 'yellowpearl.png', unique = false, useable = false, shouldClose = false, description = 'A pearl' },
['greenpearl'] = { name = 'greenpearl', label = 'Green Pearl', weight = 100, type = 'item', image = 'greenpearl.png', unique = false, useable = false, shouldClose = false, description = 'A pearl' },
['whitepearl'] = { name = 'whitepearl', label = 'White Pearl', weight = 100, type = 'item', image = 'whitepearl.png', unique = false, useable = false, shouldClose = false, description = 'A pearl' },

['green_crab'] = { name = 'green_crab', label = 'Green Crab', weight = 500, type = 'item', image = 'green_crab.png', unique = false, useable = false, shouldClose = false, description = 'A crab' },
['red_crab'] = { name = 'red_crab', label = 'Red Crab', weight = 500, type = 'item', image = 'red_crab.png', unique = false, useable = false, shouldClose = false, description = 'A crab' },
['blue_crab'] = { name = 'blue_crab', label = 'Blue Crab', weight = 500, type = 'item', image = 'blue_crab.png', unique = false, useable = false, shouldClose = false, description = 'A crab' },
['king_crab'] = { name = 'king_crab', label = 'King Crab', weight = 500, type = 'item', image = 'king_crab.png', unique = false, useable = false, shouldClose = false, description = 'A crab' },

['fishing_rod_one'] = { name = 'fishing_rod_one', label = '1 Lvl Fishing Rod', weight = 1000, type = 'item', image = 'fishing_rod_one.png', unique = true, useable = true, shouldClose = true, description = 'Fishing rod level 1' },
['fishing_rod_two'] = { name = 'fishing_rod_two', label = '2 Lvl Fishing Rod', weight = 1000, type = 'item', image = 'fishing_rod_two.png', unique = true, useable = true, shouldClose = true, description = 'Fishing rod level 2' },
['fishing_rod_three'] = { name = 'fishing_rod_three', label = '3 Lvl Fishing Rod', weight = 1000, type = 'item', image = 'fishing_rod_three.png', unique = true, useable = true, shouldClose = true, description = 'Fishing rod level 3' },
['fishing_rod_four'] = { name = 'fishing_rod_four', label = '4 Lvl Fishing Rod', weight = 1000, type = 'item', image = 'fishing_rod_four.png', unique = true, useable = true, shouldClose = true, description = 'Fishing rod level 4' },
['fishing_rod_five'] = { name = 'fishing_rod_five', label = '5 Lvl Fishing Rod', weight = 1000, type = 'item', image = 'fishing_rod_five.png', unique = true, useable = true, shouldClose = true, description = 'Fishing rod level 5' },

['fishing_net'] = { name = 'fishing_net', label = 'Fishing Net', weight = 750, type = 'item', image = 'fishing_net.png', unique = true, useable = true, shouldClose = true, description = 'Used to catch fish' },

['worm_fish_bait'] = { name = 'worm_fish_bait', label = 'Worm Fish Bait', weight = 100, type = 'item', image = 'worm_fish_bait.png', unique = false, useable = true, shouldClose = false, description = 'Fishing bait' },
['simple_fish_bait'] = { name = 'simple_fish_bait', label = 'Simple Fish Bait', weight = 100, type = 'item', image = 'simple_fish_bait.png', unique = false, useable = true, shouldClose = false, description = 'Fishing bait' },
['illegal_fish_bait'] = { name = 'illegal_fish_bait', label = 'Illegal Fish Bait', weight = 100, type = 'item', image = 'illegal_fish_bait.png', unique = false, useable = true, shouldClose = false, description = 'Illegal bait' },

['diving_cloth'] = { name = 'diving_cloth', label = 'Diving Cloths', weight = 1000, type = 'item', image = 'diving_cloth.png', unique = false, useable = true, shouldClose = true, description = 'Diving clothes' },
['diving_gear'] = { name = 'diving_gear', label = 'Diving Gear', weight = 1000, type = 'item', image = 'diving_gear.png', unique = false, useable = true, shouldClose = true, description = 'Diving gear' },
['diving_tube'] = { name = 'diving_tube', label = 'Diving Tube', weight = 1000, type = 'item', image = 'diving_tube.png', unique = false, useable = true, shouldClose = true, description = 'Oxygen tube' },

['lucky_hat'] = { name = 'lucky_hat', label = 'Lucky Hat', weight = 750, type = 'item', image = 'lucky_hat.png', unique = false, useable = false, shouldClose = false, description = 'A lucky hat' },

['rod_grip'] = { name = 'rod_grip', label = 'Rod Grip', weight = 750, type = 'item', image = 'rod_grip.png', unique = false, useable = false, shouldClose = false, description = 'Rod part' },
['rod_reel_seet'] = { name = 'rod_reel_seet', label = 'Rod Reel Seet', weight = 750, type = 'item', image = 'rod_reel_seet.png', unique = false, useable = false, shouldClose = false, description = 'Rod part' },
['rod_blank'] = { name = 'rod_blank', label = 'Rod Blank', weight = 750, type = 'item', image = 'rod_blank.png', unique = false, useable = false, shouldClose = false, description = 'Rod part' },
['rod_fishing_line'] = { name = 'rod_fishing_line', label = 'Rod Line', weight = 750, type = 'item', image = 'rod_fishing_line.png', unique = false, useable = false, shouldClose = false, description = 'Fishing line' },

['vehicle_wheels'] = { name = 'vehicle_wheels', label = 'Vehicle Wheels', weight = 2500, type = 'item', image = 'vehicle_wheels.png', unique = false, useable = false, shouldClose = false, description = 'Vehicle part' },

['trash_can'] = { name = 'trash_can', label = 'Trash Can', weight = 200, type = 'item', image = 'trash_can.png', unique = false, useable = false, shouldClose = false, description = 'Trash item' },
['trash_chips'] = { name = 'trash_chips', label = 'Trash Chips', weight = 200, type = 'item', image = 'trash_chips.png', unique = false, useable = false, shouldClose = false, description = 'Trash item' },
['trash_burger'] = { name = 'trash_burger', label = 'Trash Burger', weight = 200, type = 'item', image = 'trash_burger.png', unique = false, useable = false, shouldClose = false, description = 'Trash item' },

['scrapmetal'] = { name = 'scrapmetal', label = 'Scrap Metal', weight = 1000, type = 'item', image = 'scrapmetal.png', unique = false, useable = false, shouldClose = false, description = 'Scrap material' },
['coral_grass'] = { name = 'coral_grass', label = 'Coral Grass', weight = 100, type = 'item', image = 'coral_grass.png', unique = false, useable = false, shouldClose = false, description = 'Sea plant' },
--- End 0R Fishing v2 Item List ---
```

{% endcode %}
{% endtab %}

{% tab title="OX Inventory" %}
{% code title="ox\_inventory/data/items.lua" lineNumbers="true" %}

```lua
    --- Start 0R Fishing v2 Item List ---
    ['bass'] = { label = "Bass", weight = 100, stack = true, close = false, },
    ['bluegill'] = { label = "Bluegill", weight = 100, stack = true, close = false, },
    ['common_carp'] = { label = "Common Carp", weight = 100, stack = true, close = false, },
    ['nothern_pike'] = { label = "Northern Pike", weight = 100, stack = true, close = false, },
    ['perch'] = { label = "Perch", weight = 100, stack = true, close = false, },
    ['rainbow_trout'] = { label = "Rainbow Trout", weight = 100, stack = true, close = false, },
    ['redfin_pickerel'] = { label = "Redfin Pickerel", weight = 100, stack = true, close = false, },
    ['rock_bass'] = { label = "Rock Bass", weight = 100, stack = true, close = false, },
    ['small_trout'] = { label = "Small Trout", weight = 100, stack = true, close = false, },
    ['smallmouth_bass'] = { label = "Smallmouth Bass", weight = 100, stack = true, close = false, },
    ['sockeye_salmon'] = { label = "Sockeye Salmon", weight = 100, stack = true, close = false, },
    ['trout'] = { label = "Trout", weight = 100, stack = true, close = false, },
    ['whitefish'] = { label = "Whitefish", weight = 100, stack = true, close = false, },
    ['anchor'] = { label = "Anchor", weight = 200, stack = false, close = true, },
    ['redpearl'] = { label = "Red Pearl", weight = 100, stack = true, close = false, },
    ['bluepearl'] = { label = "Blue Pearl", weight = 100, stack = true, close = false, },
    ['yellowpearl'] = { label = "Yellow Pearl", weight = 100, stack = true, close = false, },
    ['greenpearl'] = { label = "Green Pearl", weight = 100, stack = true, close = false, },
    ['whitepearl'] = { label = "White Pearl", weight = 100, stack = true, close = false, },
    ['green_crab'] = { label = "Green Crab", weight = 500, stack = true, close = false, },
    ['red_crab'] = { label = "Red Crab", weight = 500, stack = true, close = false, },
    ['blue_crab'] = { label = "Blue Crab", weight = 500, stack = true, close = false, },
    ['king_crab'] = { label = "King Crab", weight = 500, stack = true, close = false, },
    ['fishing_rod_one'] = { label = "1 Lvl Fishing Rod", weight = 1000, stack = false, close = true, },
    ['fishing_rod_two'] = { label = "2 Lvl Fishing Rod", weight = 1000, stack = false, close = true, },
    ['fishing_rod_three'] = { label = "3 Lvl Fishing Rod", weight = 1000, stack = false, close = true, },
    ['fishing_rod_four'] = { label = "4 Lvl Fishing Rod", weight = 1000, stack = false, close = true, },
    ['fishing_rod_five'] = { label = "5 Lvl Fishing Rod", weight = 1000, stack = false, close = true, },
    ['fishing_net'] = { label = "Fishing Net", weight = 750, stack = false, close = true, },
    ['worm_fish_bait'] = { label = "Worm Fish Bait", weight = 100, stack = true, close = false, },
    ['simple_fish_bait'] = { label = "Simple Fish Bait", weight = 100, stack = true, close = false, },
    ['illegal_fish_bait'] = { label = "Illegal Fish Bait", weight = 100, stack = true, close = false, },
    ['diving_cloth'] = { label = "Diving Cloths", weight = 1000, stack = true, close = false, },
    ['diving_gear'] = { label = "Diving Gear", weight = 1000, stack = true, close = false, },
    ['diving_tube'] = { label = "Diving Tube", weight = 1000, stack = true, close = false, },
    ['lucky_hat'] = { label = "Lucky Hat", weight = 750, stack = true, close = false, },
    ['rod_grip'] = { label = "Rod Grip", weight = 750, stack = true, close = false, },
    ['rod_reel_seet'] = { label = "Rod Reel Seet", weight = 750, stack = true, close = false, },
    ['rod_blank'] = { label = "Rod Blank", weight = 750, stack = true, close = false, },
    ['rod_fishing_line'] = { label = "Rod Line", weight = 750, stack = true, close = false, },
    ['vehicle_wheels'] = { label = "Vehicle Wheels", weight = 2500, stack = true, close = false, },
    ['trash_can'] = { label = "Trash Can", weight = 200, stack = true, close = false, },
    ['trash_chips'] = { label = "Trash Chips", weight = 200, stack = true, close = false, },
    ['trash_burger'] = { label = "Trash Burger", weight = 200, stack = true, close = false, },
    ['scrapmetal'] = { label = "Scrap Metal", weight = 1000, stack = true, close = false, },
    ['coral_grass'] = { label = "Coral Grass", weight = 100, stack = true, close = false, },
    --- End 0R Fishing v2 Item List ---
```

{% endcode %}
{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.0resmon.org/0resmon/0r-resources/0r-fishing-v2/setup-and-item.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
